public class Person{
  // Instansvariabler: alla objekt av typ Person har dessa värden
  public String förnamn;
  public String efternamn;
  public int ålder;
  public double längd;
  public double vikt;

  // Konstruktor-metod: Skapar nya objekt av typ Person.
  public Person(String fnamn, String enamn, int å, double l, double v){
    förnamn = fnamn;
    efternamn = enamn;
    ålder = å;
    längd = l;
    vikt = v;
  }
  // Det går att ha flera konstruktorer om de tar olika argument.
  public Person(String förnamn, String efternamn){
    // "this" används för att förtydliga att det gäller instansvariabeln
    // till skillnad mot konstruktor metodens argument, när båda har samma namn.
    this.förnamn = förnamn;
    this.efternamn = efternamn;
    ålder = -1; längd = -1; vikt = -1; //Representerar okänd ålder, längd och vikt.
  }
  public Person(){
    förnamn = "";
    efternamn = "";
    ålder = -1; längd = -1; vikt = -1;
  }


  // En instansmetod: Beräkna body-mass-index på ett objekt av typ Person.
  public double bmi(){
    return vikt/(längd*längd);
  }
}
